- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CModulatedSlider Class Reference

Inheritance diagram for Exponent::GUI::Controls::CModulatedSlider:

List of all members.

## Detailed Description

Represents a modulated slider.

Date:
  18/09/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CModulatedSlider.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CModulatedSlider.hpp.

## Public Member Functions

- CModulatedSlider (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- virtual void drawControl (CGraphics &graphics)
- void setModulationValue (const double value)
- virtual ~CModulatedSlider ()

## Protected Attributes

- CRect m_modulatedSlider
- double m_modulatedValue

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CModulatedSlider::CModulatedSlider | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | listener | The action listener

virtual Exponent::GUI::Controls::CModulatedSlider::~CModulatedSlider | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CModulatedSlider::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CRangeSlider.

void Exponent::GUI::Controls::CModulatedSlider::setModulationValue | ( | const double | value | ) |

Set the modulation value

Parameters:

  | value | The modulated value of the slider

## Member Data Documentation

CRect Exponent::GUI::Controls::CModulatedSlider::m_modulatedSlider`[protected]`

The modulated position

Definition at line 81 of file CModulatedSlider.hpp.

double Exponent::GUI::Controls::CModulatedSlider::m_modulatedValue`[protected]`

The modulated value

Definition at line 80 of file CModulatedSlider.hpp.